//--------------------------------------------------------------
//
//--------------------------------------------------------------
class RipjackAltTrail extends Emitter;

var int ChargeAmount;

simulated function SetupEffect()
{
	// called from RipjackAltRazor to scale the trail depending on charge
	if ( ChargeAmount == 0 )
	{
		return;
	}
	else if ( ChargeAmount == 1 )
	{
		Emitters[0].StartSizeRange.X.Min *= 1.9;
		Emitters[0].StartSizeRange.X.Max *= 1.9;
		TrailEmitter(Emitters[0]).PointLifeTime *= 1.9;
		Emitters[1].StartSizeRange.X.Min *= 1.9;
		Emitters[1].StartSizeRange.X.Max *= 1.9;
		Emitters[1].StartSizeRange.Y.Min *= 1.9;
		Emitters[1].StartSizeRange.Y.Max *= 1.9;
		Emitters[1].StartVelocityRadialRange.Min *= 1.9;
		Emitters[1].StartVelocityRadialRange.Max *= 1.9;
		Emitters[1].StartVelocityRange.X.Min *= 1.9;
		Emitters[1].StartVelocityRange.X.Max *= 1.9;
	}
	else if ( ChargeAmount == 2 )
	{
		Emitters[0].StartSizeRange.X.Min *= 2.4;
		Emitters[0].StartSizeRange.X.Max *= 2.4;
		TrailEmitter(Emitters[0]).PointLifeTime *= 2.4;
		Emitters[1].StartSizeRange.X.Min *= 2.4;
		Emitters[1].StartSizeRange.X.Max *= 2.4;
		Emitters[1].StartSizeRange.Y.Min *= 2.4;
		Emitters[1].StartSizeRange.Y.Max *= 2.4;
		Emitters[1].StartVelocityRadialRange.Min *= 2.4;
		Emitters[1].StartVelocityRadialRange.Max *= 2.4;
		Emitters[1].StartVelocityRange.X.Min *= 2.4;
		Emitters[1].StartVelocityRange.X.Max *= 2.4;
	}
	else if ( ChargeAmount == 3 )
	{
		Emitters[0].StartSizeRange.X.Min *= 2.9;
		Emitters[0].StartSizeRange.X.Max *= 2.9;
		TrailEmitter(Emitters[0]).PointLifeTime *= 2.9;
		Emitters[1].StartSizeRange.X.Min *= 2.9;
		Emitters[1].StartSizeRange.X.Max *= 2.9;
		Emitters[1].StartSizeRange.Y.Min *= 2.9;
		Emitters[1].StartSizeRange.Y.Max *= 2.9;
		Emitters[1].StartVelocityRadialRange.Min *= 2.9;
		Emitters[1].StartVelocityRadialRange.Max *= 2.9;
		Emitters[1].StartVelocityRange.X.Min *= 2.9;
		Emitters[1].StartVelocityRange.X.Max *= 2.9;
	}
}

DefaultProperties
{
    Begin Object Class=TrailEmitter Name=TrailEmitter1
        TrailShadeType=PTTST_Linear
        TrailLocation=PTTL_FollowEmitter
        MaxPointsPerTrail=150
        DistanceThreshold=20.000000
        UseCrossedSheets=True
        PointLifeTime=0.550000
        UseColorScale=True
        AutomaticInitialSpawning=False
        ColorScale(0)=(Color=(B=111,G=187,R=238))
        ColorScale(1)=(RelativeTime=0.700000,Color=(B=55,G=109,R=221))
        ColorScale(2)=(RelativeTime=1.000000)
        MaxParticles=1
        StartSizeRange=(X=(Min=7.000000,Max=7.000000))
        InitialParticlesPerSecond=2000.000000
        Texture=Texture'ripjackTex.trailtex_desat'
        SecondsBeforeInactive=0.000000
        LifetimeRange=(Min=999999.000000,Max=999999.000000)
    End Object
    Emitters(0)=TrailEmitter'TrailEmitter1'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter1
        UseDirectionAs=PTDU_Up
        UseColorScale=True
        FadeOut=True
        UseSizeScale=True
        UseRegularSizeScale=False
        Acceleration=(X=-350.000000)
        ColorScale(0)=(Color=(B=111,G=187,R=238))
        ColorScale(1)=(RelativeTime=0.700000,Color=(B=55,G=109,R=221))
        ColorScale(2)=(RelativeTime=1.000000)
        FadeOutStartTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=75
        StartLocationOffset=(X=-5.000000)
        StartLocationRange=(X=(Min=-5.000000,Max=-5.000000),Y=(Min=-8.000000,Max=8.000000),Z=(Min=-3.000000,Max=3.000000))
        SizeScale(0)=(RelativeSize=0.750000)
        SizeScale(1)=(RelativeTime=0.600000)
        SizeScale(2)=(RelativeTime=1.000000)
        StartSizeRange=(X=(Min=4.000000,Max=5.000000),Y=(Min=16.000000,Max=24.000000))
        Texture=Texture'AW-2004Particles.Energy.SparkHead'
        LifetimeRange=(Min=2.000000,Max=2.250000)
        StartVelocityRange=(X=(Min=-30.000000,Max=-30.000000))
        StartVelocityRadialRange=(Min=75.000000,Max=75.000000)
        VelocityLossRange=(Y=(Min=0.200000,Max=0.200000))
        GetVelocityDirectionFrom=PTVD_AddRadial
    End Object
    Emitters(1)=SpriteEmitter'SpriteEmitter1'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter2
        UseDirectionAs=PTDU_Normal
        UseColorScale=True
        FadeOut=True
        SpinParticles=True
        UniformSize=True
        ColorScale(0)=(Color=(B=111,G=187,R=238))
        ColorScale(1)=(RelativeTime=0.700000,Color=(B=55,G=109,R=221))
        ColorScale(2)=(RelativeTime=1.000000)
        FadeOutStartTime=0.100000
        CoordinateSystem=PTCS_Relative
        StartLocationOffset=(Z=0.050000)
        StartSpinRange=(X=(Max=0.500000))
        StartSizeRange=(X=(Min=8.000000,Max=9.000000))
        Texture=Texture'AW-2004Particles.Energy.EclipseCircle'
        LifetimeRange=(Min=1.000000,Max=1.000000)
    End Object
    Emitters(2)=SpriteEmitter'SpriteEmitter2'

	bNoDelete=False
	AutoDestroy=True
	AutoReset=False
	RemoteRole=ROLE_None
	bHardAttach=true
}
